<!-- Copyright (C) 2005 Jean-Yves Lefort -->
<!-- All rights reserved. -->

<!-- Redistribution and use in source and binary forms, with or without -->
<!-- modification, are permitted provided that the following conditions -->
<!-- are met: -->
<!-- 1. Redistributions of source code must retain the above copyright -->
<!--    notice, this list of conditions and the following disclaimer. -->
<!-- 2. Redistributions in binary form must reproduce the above copyright -->
<!--    notice, this list of conditions and the following disclaimer in the -->
<!--    documentation and/or other materials provided with the distribution. -->
<!-- 3. Neither the name of Jean-Yves Lefort nor the names of its contributors -->
<!--    may be used to endorse or promote products derived from this software -->
<!--    without specific prior written permission. -->

<!-- THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND -->
<!-- CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, -->
<!-- INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF -->
<!-- MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE -->
<!-- DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS -->
<!-- BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, -->
<!-- EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED -->
<!-- TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, -->
<!-- DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON -->
<!-- ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, -->
<!-- OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY -->
<!-- OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE -->
<!-- POSSIBILITY OF SUCH DAMAGE. -->

<!ELEMENT services (custom-language | service)*>

<!ELEMENT custom-language EMPTY>
<!ATTLIST custom-language tag CDATA #REQUIRED>
<!ATTLIST custom-language name CDATA #REQUIRED>

<!ELEMENT service (group*)>
<!ATTLIST service name CDATA #REQUIRED>
<!ATTLIST service nick CDATA #IMPLIED>
<!ATTLIST service max-chunk-len CDATA "1000">

<!ELEMENT group (language*, http-header*, text-translation?, web-page-translation?)>

<!ELEMENT language EMPTY>
<!ATTLIST language tag CDATA #REQUIRED>
<!ATTLIST language service-tag CDATA #IMPLIED>
<!ATTLIST language to CDATA "">

<!ELEMENT http-header EMPTY>
<!ATTLIST http-header name CDATA #REQUIRED>
<!ATTLIST http-header value CDATA #REQUIRED>

<!ELEMENT text-translation (http-header*, pre-marker*, post-marker?, error-marker*)>
<!ATTLIST text-translation url CDATA #REQUIRED>
<!ATTLIST text-translation post CDATA "">

<!ELEMENT pre-marker EMPTY>
<!ATTLIST pre-marker text CDATA #REQUIRED>

<!ELEMENT post-marker EMPTY>
<!ATTLIST post-marker text CDATA #REQUIRED>

<!ELEMENT error-marker EMPTY>
<!ATTLIST error-marker text CDATA #REQUIRED>

<!ELEMENT web-page-translation (http-header*)>
<!ATTLIST web-page-translation url CDATA #REQUIRED>
<!ATTLIST web-page-translation post CDATA "">
